PeopleForce
Leaves

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

Get a leave request

GET
/api/public/v1/leave_requests/{id}

Path Parameters

id*integer

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v1/leave_requests/0"
{  "data": {    "id": 0,    "employee_id": 0,    "leave_type_id": 0,    "leave_type": "string",    "state": "pending",    "amount": "string",    "hours": "string",    "tracking_time_in": "hours",    "starts_on": "string",    "ends_on": "string",    "comment": "string",    "created_at": "string",    "updated_at": "string",    "attachment_url": null,    "employee": {      "id": 0,      "first_name": "string",      "last_name": "string",      "email": "string"    },    "entries": [      {        "date": "string",        "amount": "string"      }    ],    "leave_type_policy": {      "name": "string",      "visibility": "public",      "activity_type": "not_working_paid"    },    "approvals": [      {        "state": "queued",        "assigned_to": {          "id": 0,          "full_name": "string"        }      }    ]  }}